## org.apache.hadoop.metrics.spi
Class MetricValue

    java.lang.Object
      org.apache.hadoop.metrics.spi.MetricValue

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class MetricValue

extends Object

A Number that is either an absolute or an incremental amount.

Field Summary
`static boolean` `ABSOLUTE` Deprecated.
`static boolean` `INCREMENT` Deprecated.

Constructor Summary
`MetricValue(Number number, boolean isIncrement)` Deprecated. Creates a new instance of MetricValue

Method Summary
`Number` `getNumber()` Deprecated.
`boolean` `isAbsolute()` Deprecated.
`boolean` `isIncrement()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSOLUTE

    public static final boolean ABSOLUTE

  Deprecated.
  See Also:
    Constant Field Values

### INCREMENT

    public static final boolean INCREMENT

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### MetricValue

    public MetricValue(Number number,
                       boolean isIncrement)

  Deprecated.
  Creates a new instance of MetricValue

Method Detail

### isIncrement

    public boolean isIncrement()

  Deprecated.

### isAbsolute

    public boolean isAbsolute()

  Deprecated.

### getNumber

    public Number getNumber()

  Deprecated.

Copyright © 2009 The Apache Software Foundation